GDBserver

Public Attributes | List of all members
x86_debug_reg_state Struct Reference

`#include "x86-dregs.h"`

## Public Attributes
CORE_ADDR | dr_mirror [DR_NADDR]
unsigned | dr_status_mirror
unsigned | dr_control_mirror
int | dr_ref_count [DR_NADDR]

## Detailed Description

Definition at line 77 of file x86-dregs.h.

## Member Data Documentation

## ◆ dr_control_mirror

unsigned x86_debug_reg_state::dr_control_mirror

Definition at line 85 of file x86-dregs.h.

Referenced by i386_prepare_to_resume(), x86_insert_aligned_watchpoint(), x86_linux_update_debug_registers(), x86_low_init_dregs(), x86_remove_aligned_watchpoint(), x86_show_dr(), and x86_update_inferior_debug_regs().

## ◆ dr_mirror

CORE_ADDR x86_debug_reg_state::dr_mirror[DR_NADDR]

Definition at line 84 of file x86-dregs.h.

Referenced by i386_prepare_to_resume(), x86_insert_aligned_watchpoint(), x86_linux_update_debug_registers(), x86_low_init_dregs(), x86_remove_aligned_watchpoint(), x86_show_dr(), and x86_update_inferior_debug_regs().

## ◆ dr_ref_count

int x86_debug_reg_state::dr_ref_count[DR_NADDR]

Definition at line 88 of file x86-dregs.h.

Referenced by x86_insert_aligned_watchpoint(), x86_linux_update_debug_registers(), x86_low_init_dregs(), x86_remove_aligned_watchpoint(), and x86_show_dr().

## ◆ dr_status_mirror

unsigned x86_debug_reg_state::dr_status_mirror

Definition at line 85 of file x86-dregs.h.

Referenced by x86_low_init_dregs(), and x86_show_dr().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/nat/x86-dregs.h